﻿Copyright (c) (2017) Fluke Corporation                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Fluke 190II ADJ Determine Final Cal Required RS-232
DATE:                  2018-01-11 12:14:17
AUTHOR:                Fluke
REVISION:              $Revision:$
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       108
=============================================================================
#
#  Procedure Author:
#        DAC
#
#  Source:
#        ScopeMeter® 190 Series II
#        Fluke 190-062, -102, -202, -104, -204, -502, -504
#        Service Manual February 2013, Rev.2, 2/15
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON
#
#  The following text is from "Source:" above.
#
#  "first procedure" refers to "Final Calibration for V11.10 and later" in the
#  document.
#
#  "second procedure" refers to "Final Calibration for V10.9 and lower" in the
#  document.
#
#  To identify the procedure version you need:
#
#  1. Check that the serial num ber is 25375604 or higher. If yes, use the
#     first procedure.
#  2. If no, evaluate the fimware and Subversion. Press in sequence, USER, F3
#     VERSION & CAL. If the firmware version is V11.00 or lower, use the
#     second procedure.
#  If the firmware is V11.00 or higher:
#  3. In the same popup menu, check under Subversions that the last datablock
#     is x5xx (for instance 2516). This value determines the higher frequency
#     adjust point that should be used.
#     In the tables when red or blue values are listed:
#     • 5: The Final Calibration for V11.10 and later procedure should be
#       done. Use the levels in Red.
#     • 2: The Final Calibration for V11.10 and later procedure should be
#      done. Use the levels in Blue.
#

  1.001  IF           @THS3000Series
  1.002  MATH         @FinalCalV10_9AndLower = 0
  1.003  MATH         @UseLevelsInBlue       = 1
  1.004  ELSE
  1.005  MEMI         Enter DUT serial number:

# Case 1
  1.006  IF           MEM >= 25375604
  1.007  MATH         @FinalCalV10_9AndLower = 0
  1.008  MATH         @UseLevelsInBlue       = 0

# Case 2
  1.009  ELSEIF       SUB(@FirmwareRev, 2, 6) <= 11.0
  1.010  MATH         @FinalCalV10_9AndLower = 1

# Case 3
  1.011  ELSE
  1.012  CALL         Sub Fluke ScopeMeter Go to Local RS-232
  1.013  JMPL         END                          @Abort
  1.014  DISP         Press EXIT.
  1.014  DISP
  1.014  DISP         Press in sequence, USER, F3 (VERSION & CAL).
# Use MEMI to force numeric entry.
  1.015  MEMI         Enter the last data block number under Subversion
  1.015  MEMI         (e.g. 2516):
  1.016  MATH         MEM2 = FMT(MEM, "%4.0f")

  1.017  MATH         @FinalCalV10_9AndLower = 0
  1.018  MATH         @UseLevelsInBlue       = ZCMP(SUB(MEM2, 2, 1), "2")

  1.019  DO
  1.020  OPBR         -z Press and hold USER.
  1.020  OPBR
  1.020  OPBR         Press and release CLEAR.
  1.020  OPBR
  1.020  OPBR         Release USER.
  1.020  OPBR
  1.020  OPBR         Is DUT displaying CAL MODE?
  1.021  UNTIL        MEM1

  1.022  CALL         Sub Fluke ScopeMeter Go to Remote RS-232
  1.023  JMPL         END                          @Abort
  1.024  ENDIF

  1.025  ENDIF

  1.026  LABEL        END
  1.027  END
