﻿Copyright (c) 2019 Fluke Corporation                        MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Fluke 190II Final Cal V10.9 & Lower RS-232 /O_CAL
DATE:                  2019-03-06 15:16:20
AUTHOR:                Fluke
REVISION:              $Revision: 26644 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       402
CONFIGURATION:         Fluke Ocal
=============================================================================
#
#  Procedure Author:
#        VY, DAC
#
#  Source:
#        ScopeMeter® 190 Series II
#        Fluke 190-062, -102, -202, -104, -204, -502, -504
#        Service Manual February 2013, Rev.2, 2/15
#
#        Tektronix THS3000 Series Oscilloscopes
#        Performance Verification and Adjustments
#        Technical Reference
#        077-0606-01
#
#  Compatibility:
#        MET/CAL 8.2 and later
#
# This procedure is intended for use with MET/CAL® calibration software; the
# terms and conditions set forth in your MET/CAL license apply to this
# procedure.
#
# Due to Fluke's policy of continuously updating our products, this procedure
# may contain minor differences in methods used and/or specifications to
# those found in the manual or other documentation. While every effort has
# been made to ensure that this procedure is accurate, Fluke cannot be held
# responsible for the consequences of error or omissions found within this
# procedure.
#
# The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  MATH         @Suffix = SUB(@ModelNum, 5, 3)

# Initial cal step.
  1.002  MATH         @CalStep = 201

  1.003  IF           @NumChan > 2
  1.004  MATH         Input = "A&B&C&D"
  1.005  ELSE
  1.006  MATH         Input = "A&B"
  1.007  ENDIF

  1.008  DO
  1.009  TARGET
  1.010  MATH         Step = FMT(@CalStep, "%04.0f")
  1.011  HEAD         -2 Cal Step: CL [V Step]

# First cal step is CL 201. (Subsequent Cal Step are returned from DUT.)
  1.012  IF           @CalStep == 201
  1.013  HEAD         WARM UP FINAL
  1.014  DISP         Ensure all DUT inputs are OPEN.
  1.014  DISP
  1.014  DISP         Note: The time of this step calibration maybe varied as
  1.014  DISP         the DUT reaches a state of stable temperature adequate
  1.014  DISP         for calibration.
  1.015  MATH         @Picture = ""
  1.016  MATH         CalWaitTime = 5

# 190-502 only
  1.017  ELSEIF       @CalStep == 415
  1.018  O_CAL        Mode = Edge
  1.018  O_CAL        +Voltage = 100 mVpp; Frequency = 1 kHz
  1.019  MATH         CalWaitTime = 120

# 460 throught 467 are extra steps only for Fluke 190-104/204 with
# firmware V10.40 or later, and Tektronix THS3014/3024.

  1.020  ELSEIF       @CalStep == 460
  1.021  O_CAL        Mode = LeveledSine
  1.021  O_CAL        +Voltage = 124 mVpp; Frequency = 50 kHz

  1.022  ELSEIF       @CalStep == 461
  1.023  CALL         Sub Fluke 190II Cal Step Frequency (MHz)
  1.024  O_CAL        Mode = LeveledSine
  1.024  O_CAL        +Voltage = 124 mVpp; Frequency = [V @FreqMHz] MHz

  1.025  ELSEIF       @CalStep == 462
  1.026  O_CAL        Mode = LeveledSine
  1.026  O_CAL        +Voltage = 124 mVpp; Frequency = 50 kHz

  1.027  ELSEIF       @CalStep == 463
  1.028  CALL         Sub Fluke 190II Cal Step Frequency (MHz)
  1.029  O_CAL        Mode = LeveledSine
  1.029  O_CAL        +Voltage = 124 mVpp; Frequency = [V @FreqMHz] MHz

  1.030  ELSEIF       @CalStep == 464
  1.031  O_CAL        Mode = LeveledSine
  1.031  O_CAL        +Voltage = 124 mVpp; Frequency = 50 kHz

  1.032  ELSEIF       @CalStep == 465
  1.033  CALL         Sub Fluke 190II Cal Step Frequency (MHz)
  1.034  O_CAL        Mode = LeveledSine
  1.034  O_CAL        +Voltage = 124 mVpp; Frequency = [V @FreqMHz] MHz

  1.035  ELSEIF       @CalStep == 466
  1.036  O_CAL        Mode = LeveledSine
  1.036  O_CAL        +Voltage = 124 mVpp; Frequency = 50 kHz

  1.037  ELSEIF       @CalStep == 467
  1.038  CALL         Sub Fluke 190II Cal Step Frequency (MHz)
  1.039  O_CAL        Mode = LeveledSine
  1.039  O_CAL        +Voltage = 124 mVpp; Frequency = [V @FreqMHz] MHz

  1.040  ELSEIF       @CalStep == 480
  1.041  O_CAL        Mode = LeveledSine
  1.041  O_CAL        +Voltage = 620 mVpp; Frequency = 50 kHz
  1.042  MATH         CalWaitTime = 3

  1.043  ELSEIF       @CalStep == 481
  1.044  CALL         Sub Fluke 190II Cal Step Frequency (MHz)
  1.045  O_CAL        Mode = LeveledSine
  1.045  O_CAL        +Voltage = 620 mVpp; Frequency = [V @FreqMHz] MHz
  1.046  MATH         CalWaitTime = 5

  1.047  ELSEIF       @CalStep == 482
  1.048  O_CAL        Mode = LeveledSine
  1.048  O_CAL        +Voltage = 620 mVpp; Frequency = 50 kHz
  1.049  MATH         CalWaitTime = 3

  1.050  ELSEIF       @CalStep == 483
  1.051  CALL         Sub Fluke 190II Cal Step Frequency (MHz)
  1.052  O_CAL        Mode = LeveledSine
  1.052  O_CAL        +Voltage = 620 mVpp; Frequency = [V @FreqMHz] MHz
  1.053  MATH         CalWaitTime = 5

  1.054  ELSEIF       @CalStep == 484
  1.055  O_CAL        Mode = LeveledSine
  1.055  O_CAL        +Voltage = 620 mVpp; Frequency = 50 kHz
  1.056  MATH         CalWaitTime = 3

  1.057  ELSEIF       @CalStep == 485
  1.058  CALL         Sub Fluke 190II Cal Step Frequency (MHz)
  1.059  O_CAL        Mode = LeveledSine
  1.059  O_CAL        +Voltage = 620 mVpp; Frequency = [V @FreqMHz] MHz
  1.060  MATH         CalWaitTime = 5

  1.061  ELSEIF       @CalStep == 486
  1.062  O_CAL        Mode = LeveledSine
  1.062  O_CAL        +Voltage = 620 mVpp; Frequency = 50 kHz
  1.063  MATH         CalWaitTime = 3

  1.064  ELSEIF       @CalStep == 487
  1.065  CALL         Sub Fluke 190II Cal Step Frequency (MHz)
  1.066  O_CAL        Mode = LeveledSine
  1.066  O_CAL        +Voltage = 620 mVpp; Frequency = [V @FreqMHz] MHz
  1.067  MATH         CalWaitTime = 5

  1.068  ELSEIF       @CalStep == 504
  1.069  O_CAL        Mode = Voltage; OutputImpedance = 1 MOhm
  1.069  O_CAL        +Voltage = 500 mVpp; Frequency = 1 kHz
  1.070  MATH         CalWaitTime = 20

# 190-502 only
  1.071  ELSEIF       @CalStep == 510
  1.072  O_CAL        Mode = Edge
  1.072  O_CAL        +Voltage = 2.5 Vpp; Frequency = 1 kHz
  1.073  MATH         CalWaitTime = 120

  1.074  ELSEIF       @CalStep == 570
  1.075  HEAD         ADC TIMING
  1.076  O_CAL        Standby
  1.016  DISP         Connect the Calibrator SCOPE output to DUT A input
  1.016  DISP         using a 50 Ω feedthrough terminator.
  1.082  MATH         @Picture = "190II_a_input_55_scope"
  1.084  O_CAL        Mode = LeveledSine
  1.084  O_CAL        +Voltage = 500 mVpp; Frequency = 50 MHz
  1.085  MATH         CalWaitTime = 120

  1.086  ELSEIF       @CalStep == 580
  1.087  O_CAL        Mode = LeveledSine
  1.087  O_CAL        +Voltage = 2.5 Vpp; Frequency = 50 kHz
  1.088  MATH         CalWaitTime = 3

  1.089  ELSEIF       @CalStep == 581
  1.090  CALL         Sub Fluke 190II Cal Step Frequency (MHz)
  1.091  O_CAL        Mode = LeveledSine
  1.091  O_CAL        +Volt = 2.5 Vpp; Freq = [V @FreqMHz] MHz

  1.092  ELSEIF       @CalStep == 582
  1.093  O_CAL        Mode = LeveledSine
  1.093  O_CAL        +Voltage = 2.5 Vpp; Frequency = 50 kHz

  1.094  ELSEIF       @CalStep == 583
  1.095  CALL         Sub Fluke 190II Cal Step Frequency (MHz)
  1.096  O_CAL        Mode = LeveledSine
  1.096  O_CAL        +Volt = 2.5 Vpp; Freq = [V @FreqMHz] MHz

  1.097  ELSEIF       @CalStep == 599
  1.098  O_CAL        Mode = Voltage; OutputImpedance = 1 MOhm
  1.098  O_CAL        +Voltage = 10 mVpp; Frequency = 1 kHz
  1.099  MATH         CalWaitTime = 10

  1.100  ELSEIF       @CalStep == 600
  1.101  O_CAL        Mode = Voltage; OutputImpedance = 1 MOhm
  1.101  O_CAL        +Voltage = 25 mVpp; Frequency = 1 kHz
  1.102  MATH         CalWaitTime = 5

  1.103  ELSEIF       @CalStep == 601
  1.104  O_CAL        Mode = Voltage; OutputImpedance = 1 MOhm
  1.104  O_CAL        +Voltage = 50 mVpp; Frequency = 1 kHz

  1.105  ELSEIF       @CalStep == 602
  1.106  O_CAL        Mode = Voltage; OutputImpedance = 1 MOhm
  1.106  O_CAL        +Voltage = 100 mVpp; Frequency = 1 kHz

  1.107  ELSEIF       @CalStep == 603
  1.108  O_CAL        Mode = Voltage; OutputImpedance = 1 MOhm
  1.108  O_CAL        +Voltage = 250 mVpp; Frequency = 1 kHz

  1.109  ELSEIF       @CalStep == 604
  1.110  HEAD         INPUT [V Input] LF-HF GAIN
  1.111  O_CAL        Mode = Voltage; OutputImpedance = 1 MOhm
  1.111  O_CAL        +Voltage =  500 mVpp; Frequency = 1 kHz
  1.112  MATH         CalWaitTime = 10

  1.113  ELSEIF       @CalStep == 605
  1.114  O_CAL        Mode = Voltage; OutputImpedance = 1 MOhm
  1.114  O_CAL        +Voltage =  1 Vpp; Frequency = 1 kHz

  1.115  ELSEIF       @CalStep == 606
  1.116  O_CAL        Mode = Voltage; OutputImpedance = 1 MOhm
  1.116  O_CAL        +Voltage =  2.5 Vpp; Frequency = 1 kHz

  1.117  ELSEIF       @CalStep == 607
  1.118  O_CAL        Mode = Voltage; OutputImpedance = 1 MOhm
  1.118  O_CAL        +Voltage =  5 Vpp; Frequency = 1 kHz

  1.119  ELSEIF       @CalStep == 608
  1.120  O_CAL        Mode = Voltage; OutputImpedance = 1 MOhm
  1.120  O_CAL        +Voltage = 10 Vpp; Frequency = 1 kHz

  1.121  ELSEIF       @CalStep == 609
  1.122  O_CAL        Mode = Voltage; OutputImpedance = 1 MOhm
  1.122  O_CAL        +Voltage = 25 Vpp; Frequency = 1 kHz

  1.123  ELSEIF       @CalStep == 610
  1.124  O_CAL        Mode = Voltage; OutputImpedance = 1 MOhm
  1.124  O_CAL        +Voltage = 50 Vpp; Frequency = 1 kHz
  1.125  MATH         CalWaitTime = 15

  1.126  ELSEIF       @CalStep == 619
  1.127  HEAD         INPUT A&B&C&D POSITION
  1.128  O_CAL        Standby
  1.129  MATH         CalWaitTime = 60

# Added to support firmware V11.xx or later.
  1.130  ELSEIF       @CalStep == 622
  1.131  O_CAL        Standby
  1.132  MATH         CalWaitTime = 5

  1.133  ELSEIF       @CalStep == 624
  1.134  O_CAL        Standby
  1.135  MATH         CalWaitTime = 25

  1.136  ELSEIF       @CalStep == 637
  1.137  O_CAL        Standby
  1.138  MATH         CalWaitTime = 5

  1.139  ELSEIF       @CalStep == 654
  1.140  HEAD         INPUT A LF-HF GAIN ADJUSTMENT
  1.141  O_CAL        Mode = Edge
  1.141  O_CAL        +Voltage = 500 mVpp; Frequency = 1 kHz
  1.142  MATH         CalWaitTime = 120

  1.143  ELSEIF       @CalStep == 656
  1.144  HEAD         INPUT C LF-HF GAIN ADJUSTMENT
  1.145  O_CAL        Standby
  1.054  DISP         Connect the Calibrator SCOPE output to DUT C input
  1.054  DISP         using a 50 Ω feedthrough terminator.
  1.151  MATH         @Picture = "190II_c_input_55_scope"
  1.153  O_CAL        Mode = Edge
  1.153  O_CAL        +Voltage = 500 mVpp; Frequency = 1 kHz
  1.154  MATH         CalWaitTime = 120

  1.155  ELSEIF       @CalStep == 660
  1.156  HEAD         INPUT [V Input] LF-HF GAIN
  1.157  O_CAL        Standby

  1.158  IF           @NumChan > 2
  1.159  DISP         Connect the Calibrator SCOPE output to DUT A, B, C,
  1.159  DISP         and D inputs using 3 BNC tees and short BNC
  1.159  DISP         cables.
  1.159  DISP
  1.159  DISP         Do not use a 50 Ω termintor.
  1.160  MATH         @Picture = "190II_abcd_input_55_scope"

  1.161  ELSE
  1.028  DISP         Connect the Calibrator SCOPE output to DUT A and B
  1.028  DISP         inputs using a BNC tee and short BNC cables.
  1.028  DISP
  1.028  DISP         Do not use a 50 Ω termintor.
  1.163  MATH         @Picture = "190II_ab_input_55_scope"
  1.164  ENDIF

  1.165  O_CAL        Mode = Voltage; OutputImpedance = 1 MOhm
  1.165  O_CAL        +Voltage = 300 mVpp; Frequency = 1 kHz
  1.166  MATH         CalWaitTime = 30

  1.167  ELSEIF       @CalStep == 662
  1.168  O_CAL        Mode = Voltage; OutputImpedance = 1 MOhm
  1.168  O_CAL        +Voltage = 2 Vpp; Frequency = 1 kHz

  1.169  ELSEIF       @CalStep == 664
  1.170  O_CAL        Mode = Voltage; OutputImpedance = 1 MOhm
  1.170  O_CAL        +Voltage = 20 Vpp; Frequency = 1 kHz

# 190-502 only
  1.171  ELSEIF       @CalStep == 673
  1.172  O_CAL        Mode = Voltage; OutputImpedance = 1 MOhm
  1.172  O_CAL        +Voltage = 50 Vpp; Frequency = 1 kHz

  1.173  ELSEIF       @CalStep == 674
  1.174  HEAD         INPUT B LF-HF GAIN ADJUSTMENT
  1.175  O_CAL        Standby

  1.176  IF           @NumChan > 2
  1.018  DISP         Connect the Calibrator SCOPE output to DUT B input
  1.018  DISP         using a 50 Ω feedthrough terminator.
  1.182  MATH         @Picture = "190II_4ch_b_input_55_scope"

  1.184  ELSE
  1.020  DISP         Connect the Calibrator SCOPE output to DUT B input
  1.020  DISP         using a 50 Ω feedthrough terminator.
  1.186  MATH         @Picture = "190II_2ch_b_input_55_scope"
  1.187  ENDIF

  1.188  O_CAL        Mode = Edge
  1.188  O_CAL        +Voltage = 500 mVpp; Frequency = 1 kHz
  1.189  MATH         CalWaitTime = 120

  1.190  ELSEIF       @CalStep == 675
  1.191  HEAD         INPUT D LF-HF GAIN ADJUSTMENT
  1.192  O_CAL        Standby
  1.024  DISP         Connect the Calibrator SCOPE output to DUT D input
  1.024  DISP         using a 50 Ω feedthrough terminator.
  1.197  MATH         @Picture = "190II_d_input_55_scope"
  1.199  O_CAL        Mode = Edge
  1.199  O_CAL        +Voltage = 500 mVpp; Frequency = 1 kHz
  1.200  MATH         CalWaitTime = 120

  1.201  ELSE
  1.202  DISP         Unsupported cal step:  [V @CalStep]
  1.202  DISP
  1.202  DISP         This may be caused by an unsupported DUT firmware rev.
  1.202  DISP
  1.202  DISP         Contact Fluke MET/CAL Gold support.
  1.202  DISP
  1.202  DISP         Press Advance to terminate the procedure now.
  1.203  MATH         @Abort = 1
  1.204  END
  1.205  ENDIF

  1.206  PORT         CL [V @CalStep]
  1.207  WAIT         -t [V CalWaitTime] Calibration is in progress...
  1.208  CALL         Sub Fluke 190II Cal Adjust Error RS-232 /O_CAL
  1.209  MATH         @Abort = @FatalError

# If calibration succeeded, the subsequent cal step number is returned.
# A zero "0" is returned when calibration is complete.
  1.210  IF           NOT(@FatalError) && NOT(@CalError)
  1.211  PORT         [I]
  1.212  MATH         @CalStep = MEM
  1.213  ENDIF

# Cal steps greater than 750 are performed using the meter calibrator FSC.
  1.214  UNTIL        (@CalStep > 750) || @Abort

  1.215  HEAD         -2
  1.216  HEAD
  1.217  O_CAL        Standby
  1.218  END
